Subject: Using vpath directive in makefiles
From: [email-masked] (Alejandro Olchik)

23 Sep 1998 21:53:51 -0700
Message-ID: <[email-masked]>
To: [email-masked]

I´m having problem when using the vpath directive in a makefile. I have cywin B19 installed and I´m running make in unix mode.

Look at the followin makefile

vpath %.s //s/multinos/prj/nr1100/startup

start.o:  start.s
	copy $< $@ 

When trying to execute it I receive the following message
make: *** No rule to make target `start.s', needed by `start.o'.  Stop.

Am I doing something wrong? The make program does not have to search for the .s file at the vpath directories?

-----
Free e-mail group hosting at http://www.eGroups.com/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".